package kr.co.compcarecompany.Data.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

import kr.co.compcarecompany.Data.ArrayItem;
import kr.co.compcarecompany.Data.FileDatum;

public class AlarmReportData {

    @SerializedName("ar_idx")
    @Expose
    private String arIdx;

    @SerializedName("ar_worker")
    @Expose
    private String arWorker;

    @SerializedName("ar_work_date")
    @Expose
    private String arWorkDate;

    @SerializedName("ar_content")
    @Expose
    private String arContent;

    @SerializedName("ar_content_quick")
    @Expose
    private String arContentQuick;

    @SerializedName("ar_authorizer")
    @Expose
    private String arAuthorizer;

    @SerializedName("ar_ins_dt")
    @Expose
    private String arInsDt;

    @SerializedName("ar_suc_dt")
    @Expose
    private String arSucDt;

    @SerializedName("machine_data")
    @Expose
    private MachineItem machineData = null;

    @SerializedName("alarm_data")
    @Expose
    private ArrayList<AlarmData> alarmData = null;

    @SerializedName("report_photo_data")
    @Expose
    private ArrayList<FileDatum> FileDatum = null;

    public String getArIdx() {
        return arIdx;
    }

    public String getArWorker() {
        return arWorker;
    }

    public String getArContent() {
        return arContent;
    }

    public String getArContentQuick() {
        return arContentQuick;
    }

    public String getArAuthorizer() {
        return arAuthorizer;
    }

    public String getArSucDt() {
        return arSucDt;
    }

    public String getArInsDt() {
        return arInsDt;
    }

    public String getArWorkDate() {
        return arWorkDate;
    }

    public MachineItem getMachineData() {
        return machineData;
    }

    public ArrayList<FileDatum> getFileDatum() {
        return FileDatum;
    }

    public ArrayList<AlarmData> getAlarmData() {
        return alarmData;
    }
}
